public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-plugins/gmpc-last-fm/
@ 2018-01-03 18:39 David Seifert
  0 siblings, 0 replies; 3+ messages in thread
From: David Seifert @ 2018-01-03 18:39 UTC (permalink / raw
  To: gentoo-commits

commit:     1e156d1c479d83a4d9613bace6bd05f5ae8da24f
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  3 18:38:04 2018 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Jan  3 18:38:04 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e156d1c

media-plugins/gmpc-last-fm: Port to EAPI 6

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 .../gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild          | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

diff --git a/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild b/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild
index 8e16910403b..f486656601f 100644
--- a/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild
+++ b/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=3
+EAPI=6
 
 DESCRIPTION="This plugin fetches artist art from last.fm"
 HOMEPAGE="http://gmpc.wikia.com/wiki/GMPC_PLUGIN_LASTFM"
@@ -12,13 +12,17 @@ SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE=""
 
-RDEPEND=">=media-sound/gmpc-${PV}
-	dev-libs/libxml2
-	|| ( x11-libs/gdk-pixbuf:2[jpeg] x11-libs/gtk+:2[jpeg] )"
+RDEPEND="
+	>=media-sound/gmpc-${PV}
+	dev-libs/libxml2:=
+	|| (
+		x11-libs/gdk-pixbuf:2[jpeg]
+		x11-libs/gtk+:2[jpeg]
+	)"
 DEPEND="${RDEPEND}
 	virtual/pkgconfig"
 
-src_install () {
-	emake DESTDIR="${D}" install || die "emake install failed"
-	find "${ED}" -name "*.la" -delete || die
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-plugins/gmpc-last-fm/
@ 2020-06-15 16:38 Aaron Bauman
  0 siblings, 0 replies; 3+ messages in thread
From: Aaron Bauman @ 2020-06-15 16:38 UTC (permalink / raw
  To: gentoo-commits

commit:     d9897b02cf4b100404184d380883d7fd9982514f
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Mon Jun 15 13:29:30 2020 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Mon Jun 15 16:37:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9897b02

media-plugins/gmpc-last-fm: use HTTPS, fix download link

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild b/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild
index f486656601f..be0683a1300 100644
--- a/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild
+++ b/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 
 DESCRIPTION="This plugin fetches artist art from last.fm"
-HOMEPAGE="http://gmpc.wikia.com/wiki/GMPC_PLUGIN_LASTFM"
-SRC_URI="mirror://sourceforge/musicpd/${P}.tar.gz"
+HOMEPAGE="https://gmpc.fandom.com/wiki/GMPC_PLUGIN_LASTFM"
+SRC_URI="https://download.sarine.nl/Programs/gmpc/0.20.0/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-plugins/gmpc-last-fm/
@ 2022-05-13 22:50 Conrad Kostecki
  0 siblings, 0 replies; 3+ messages in thread
From: Conrad Kostecki @ 2022-05-13 22:50 UTC (permalink / raw
  To: gentoo-commits

commit:     9c938a2e8e7c41f90b577f471f703d2dee5c27d6
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Fri May 13 21:50:43 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri May 13 22:49:39 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c938a2e

media-plugins/gmpc-last-fm: fix qa StaticSrcUri

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild b/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild
index be0683a13003..9e0b57049ce8 100644
--- a/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild
+++ b/media-plugins/gmpc-last-fm/gmpc-last-fm-0.20.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 
 DESCRIPTION="This plugin fetches artist art from last.fm"
 HOMEPAGE="https://gmpc.fandom.com/wiki/GMPC_PLUGIN_LASTFM"
-SRC_URI="https://download.sarine.nl/Programs/gmpc/0.20.0/${P}.tar.gz"
+SRC_URI="https://download.sarine.nl/Programs/gmpc/${PV}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2022-05-13 22:50 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-01-03 18:39 [gentoo-commits] repo/gentoo:master commit in: media-plugins/gmpc-last-fm/ David Seifert
  -- strict thread matches above, loose matches on Subject: below --
2020-06-15 16:38 Aaron Bauman
2022-05-13 22:50 Conrad Kostecki

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox